{{sidenavigation.sidenavigationExpandLabel}}
{{getMsg('Help_YouAreHere')}}: /  {{page.title}} {{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}} {{helpModel.downloadHelpPdfDataStatus}}

Calendar

/api/calendar/{calendarId}/providerCapabilities

Exposes calendars visible to the current user and stages calendar changes until they are validated and committed.

GET /api/calendar/{calendarId}/providerCapabilities

Returns capabilities of the currently configured calendar provider.

Parameters

Name Location Type Required Description
calendarId path string yes calendar identifier from the request path

Response

Status Content Type Schema Description
200 application/json ProviderCapabilities provider capabilities

Example Request

# Request
GET /api/calendar/<calendarId>/providerCapabilities HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>

# Response
HTTP/1.1 200 OK
Content-Type: application/json

{
    "attachmentEditing": true,
    "readOnly": true
}

Common Error Responses

The status codes 400, 403, 404, 405, 406, 409, 413, 415, and 500 use the same ApiError JSON error format:

{
    "status": 404,
    "code": "route_not_found",
    "message": "The requested API route does not exist.",
    "details": []
}

Schemas

Request and response schemas used on this page.

ProviderCapabilities

Property Type Required Description
attachmentEditing boolean no —
readOnly boolean no —

ApiError

Property Type Required Description
status integer (int32) yes —
code string yes —
message string yes —
details array<object> no —
i-net Clear Reports
Diese Anwendung verwendet Cookies um das Einloggen zu ermöglichen. Durch die weitere Nutzung dieser Anwendung stimmen Sie der Verwendung von Cookies zu.


Hilfe